#ifndef PUZZLE_H
#define PUZZLE_H

enum colors
{
	NONE = 0,
	EL = 1,
	T = 2,
	POLE = 3,
	SQUARE = 4,
	LZIG = 5,
	RZIG = 6,
};


/**
 * @struct puzzle
 * Represents a puzzle in the Tetris game.
 */
struct puzzle {
	int with;                   // The width of the puzzle
	int height;                 // The height of the puzzle
	unsigned char *data;        // The data of the puzzle
	enum colors type;           // The type of the puzzle
};


#endif
